<form [formGroup]="form" novalidate (ngSubmit)="onSubmit()">
  <mat-card class="shipping-card">
    <mat-card-header>
      <mat-card-title>Create Hackathon</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <div class="row">
        <div class="col">
          <mat-form-field class="full-width">
            <input matInput placeholder="Name" formControlName="name">
            <mat-error *ngIf="form.controls['name'].hasError('required')">
              Hackathon name is required
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <mat-form-field class="full-width">
            <input matInput placeholder="Location" formControlName="location">
            <mat-error *ngIf="form.controls['location'].hasError('required')">
              Location name is required
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <mat-form-field>
            <input matInput [matDatepicker]="startDateDatepicker" placeholder="Start Date" formControlName="startDate">
            <mat-datepicker-toggle matSuffix [for]="startDateDatepicker"></mat-datepicker-toggle>
            <mat-datepicker #startDateDatepicker></mat-datepicker>
            <mat-error *ngIf="form.controls['startDate'].hasError('required')">
              Start Date name is required
            </mat-error>
            <mat-error *ngIf="form.errors?.dateRange">
              StartDate should be before EndDate
            </mat-error>
          </mat-form-field>
        </div>
        <div class="col">
          <mat-form-field>
            <input matInput [matDatepicker]="endDateDatepicker" placeholder="End Date" formControlName="endDate">
            <mat-datepicker-toggle matSuffix [for]="endDateDatepicker"></mat-datepicker-toggle>
            <mat-datepicker #endDateDatepicker></mat-datepicker>
            <mat-error *ngIf="form.controls['endDate'].hasError('required')">
              End Date name is required
            </mat-error>
            <mat-error *ngIf="form.errors?.dateRange">
              StartDate should be before EndDate
            </mat-error>
          </mat-form-field>
        </div>
      </div>
    </mat-card-content>
    <mat-card-actions>
      <button [disabled]="!form.valid" mat-raised-button color="primary" type="submit">Submit</button>
    </mat-card-actions>
  </mat-card>
</form>
